Bug 189907 - usermount fails to identify "user" option filesystems in /etc/fstab
usermount fails to identify "user" option filesystems in /etc/fstab
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
6
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 13:31 EDT by james
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.90-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 01:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james 2006-04-25 13:31:36 EDT
Description of problem:

The man page says:

 When the tool starts up, it scans /etc/fstab for all filesystems
 that have been configured to allow users to mount and unmount them.

but then usermount fails to identify filesystems with the "user" option, showing
instead

 There are no filesystems which you are allowed to mount or unmount.

"sudo usermount" will work, but that is not the point.

I've seen this behaviour on two different machines.


Version-Release number of selected component (if applicable):
usermode-gtk-1.80-1

How reproducible:
always

Steps to Reproduce:
1. usermount
2.
3.
  
Actual results:
There are no filesystems which you are allowed to mount or unmount.

Expected results:


Additional info:

"/etc/fstab" is world readable.
Comment 1 Christian Iseli 2007-01-22 05:02:38 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Miloslav Trmač 2007-03-08 15:59:58 EST
You can use the (undocumented) "pamconsole" option instead of "user" as a
work-around.
Comment 3 Miloslav Trmač 2007-03-14 01:47:43 EDT
Fixed in rawhide usermode-1.90-1.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.